Subject: Re: bug#16345: 24.3; url-http sometimes closes connection prematurely

From: James Stout <[email-masked]>
Date: Sun, 5 Jan 2014 11:59:38 -0800

Hi Glenn,

Yep, that fix works for me, thanks! Next time I'll be sure to check
resolved bugs (I only checked open ones) and the source code trunk.

I did notice that only one instance of the regular expression was changed.
I'm not using chunked encoding with trailers, so it's hard for me to verify
whether this indeed is a bug, but I think this line also needs to be fixed:
http://bzr.savannah.gnu.org/lh/emacs/trunk/annotate/head:/lisp/url/url-http.el#L1037

Best,
James

On Sat, Jan 4, 2014 at 3:46 PM, Glenn Morris <[email-masked]> wrote:

> James Stout wrote:
>
> > fix. The core problem is that the http library uses an incorrect regular
> > expression when determining when the response headers are complete. It's
> > looking for an empty line, and it uses "^\r*$", but it should use
> "^\r?\n".
>
> Thanks, it already does so in Emacs trunk:
>
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13598#28
>
> Perhaps you could check that trunk works correctly for you.
>